Skip to main content
POST
/
preview
/
marketing-solutions
/
ads
/
{ad-id}
/
product-boost
/
{product-set-id}
/preview/marketing-solutions/ads/{ad-id}/product-boost/{product-set-id}
curl --request POST \
  --url https://api.criteo.com/preview/marketing-solutions/ads/{ad-id}/product-boost/{product-set-id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "adId": "<string>",
      "boostingFactor": 123,
      "modificationDate": "<string>",
      "productSetId": "<string>"
    },
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

ad-id
string
required

ID of the ad

product-set-id
string
required

ID of the product set

Body

application/json

A top-level object that encapsulates a Criteo API request for a single value.

data
object

A top-level object that encapsulates a Criteo API response for a single value.

Response

successful operation

A top-level object that encapsulates a Criteo API response for a single value.

data
object

A top-level object that encapsulates a Criteo API response for a single value.

errors
object[] | null
read-only
warnings
object[] | null
read-only